
fs - Bug #37567

mds: fix incorrect l_pq_executing_ops statistics when meet an invalid item in purge queue

12/07/2018 09:14 AM - tang junhui

Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee: tang junhui % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: v14.0.0   

Source: Community (dev) Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: mimic,luminous Component(FS): MDS

Regression: No Labels (FS):  

Severity: 3 - minor Pull request ID: 25229

Reviewed:    

Description

l_pq_executing_ops should subtract the ops we added previous

in the condition we meet an invalid item in the purge queue,

otherwise the statistics would always show some ops

in l_pq_executing_ops.

Related issues:

Copied to fs - Backport #37626: mimic: mds: fix incorrect l_pq_executing_ops ... Resolved

Copied to fs - Backport #37627: luminous: mds: fix incorrect l_pq_executing_o... Resolved

History

#1 - 12/10/2018 06:02 PM - Patrick Donnelly

- Project changed from Ceph to fs

- Status changed from New to Need Review

- Assignee set to tang junhui

- Target version set to v14.0.0

- Start date deleted (12/07/2018)

- Source set to Community (dev)

- Backport set to mimic,luminous

- Pull request ID set to 25229

- Component(FS) MDS added

#2 - 12/10/2018 06:02 PM - Patrick Donnelly

- Description updated

#3 - 12/12/2018 08:47 PM - Patrick Donnelly

- Status changed from Need Review to Pending Backport

#4 - 12/12/2018 09:44 PM - Nathan Cutler

- Copied to Backport #37626: mimic: mds: fix incorrect l_pq_executing_ops statistics when meet an invalid item in purge queue added

#5 - 12/12/2018 09:44 PM - Nathan Cutler

- Copied to Backport #37627: luminous: mds: fix incorrect l_pq_executing_ops statistics when meet an invalid item in purge queue added
#6 - 01/30/2019 06:14 PM - Patrick Donnelly

- Status changed from Pending Backport to Resolved
